Description of the security update for the elevation of privilege vulnerability in Microsoft Visual Studio 2015 Update 3: April 13, 2021 (KB5001292)

Applies to: All Visual Studio 2015 Update 3 editions except Build Tools

More information

Prerequisites

To apply this security update, you must have both Visual Studio 2015 Update 3 and the subsequent Cumulative Servicing Release KB 3165756 installed. Typically, KB 3165756 is installed automatically when you install Visual Studio 2015 Update 3. However, in some cases, you have to install the two packages separately.

Restart requirement

We recommend that you close Visual Studio 2015 before you install this security update. Otherwise, you may have to restart the computer after you apply this security update if a file that is being updated is open or in use by Visual Studio.

Security update replacement information

This security update supersedes KB4584787.

File hash information

File name

SHA1 hash

SHA256 hash

vs14-kb5001292.exe

278BF1C5CE8CAEFDA868C371B73B33C4DDA86201

547F7A60365FBF872344E20CFB41AE3D640C50F2D92375051347019B9DB5D995

Installation verification

To verify that this security update is applied correctly, follow these steps:

  1. Open the Visual Studio 2015 program folder.

  2. Locate the DiagnosticsHub.StandardCollector.Runtime.dll file.

  3. Verify that the file version is equal to or greater than 14.0.27549.0.

Information about protection, security, and support

Need more help?

Expand your skills
Explore Training
Get new features first
Join Microsoft Insiders

Was this information helpful?

Thank you for your feedback!

Thank you for your feedback! It sounds like it might be helpful to connect you to one of our Office support agents.

×